function nodes  = p_clique_set(offset,imsize)
%
%  nodes  = p_clique_set(offset,imsize)
%
% Returns the linar indexes of all  pairwise cliques {p,q} of the form
% p=(i,j), q=(i+offset(1), j+offset(2)) in an image of size
% imsize 
% 
%  --- Input parameters ----
%   offset  -> [line_offse col_offset]
%   imsize  -> [lines cols]
%
%  --- Out parameters ----
% nodes -> matrix of size [2 N] with columns [p q]' 

lines = imsize(1);
cols = imsize(2);

off_lines = offset(1);
off_cols = offset(2);


nodes = zeros(2,(lines-abs(off_lines))*(cols-abs(off_cols)));
index = 1;
for j=1:cols
    for i=1:lines
        p = i+off_lines;
        q = j+off_cols;
        if  (p >= 1) & (p <= lines)
            if (q >= 1) & (q <= cols)
               nodes(:,index) = [i+(j-1)*(lines) p+(q-1)*(lines) ];
               index = index +1;
            end
        end
    end
end



